## -*- coding: utf-8; -*-
<%inherit file="/master/view.mako" />

<%def name="extra_styles()">
  ${parent.extra_styles()}
  <style>

    .field .field-label .label {
        white-space: nowrap;
        width: 10rem;
    }

  </style>
</%def>

<%def name="page_content()">
  <div style="padding: 2rem; display: flex; justify-content: space-evenly; gap: 2rem;">
    <div style="flex-grow: 1;">

      <nav class="panel" style="width: 100%;">
        <p class="panel-heading">Order Item</p>
        <div class="panel-block">
          <div style="width: 100%;">
            <b-field horizontal label="ID">
              <span>Order ID ${order.order_id} &mdash; Item #${item.sequence}</span>
            </b-field>
            <b-field horizontal label="Order Qty">
              <span>${order_qty_uom_text|n}</span>
            </b-field>
            % if item.discount_percent:
                <b-field horizontal label="Discount">
                  <span>${app.render_percent(item.discount_percent)}</span>
                </b-field>
            % endif
            <b-field horizontal label="Total Due">
              <span>${app.render_currency(item.total_price)}</span>
            </b-field>
            <b-field horizontal label="Total Paid">
              <span>${app.render_currency(item.paid_amount)}</span>
            </b-field>
            <b-field horizontal label="Status">
              <span>${app.enum.ORDER_ITEM_STATUS[item.status_code]}</span>
            </b-field>
          </div>
        </div>
      </nav>

      <nav class="panel" style="width: 100%;">
        <p class="panel-heading">Pricing</p>
        <div class="panel-block">
          <div style="width: 100%;">
            <b-field horizontal label="Unit Cost">
              <span>${app.render_currency(item.unit_cost, scale=4)}</span>
            </b-field>
            <b-field horizontal label="Unit Price Reg.">
              <span>${app.render_currency(item.unit_price_reg)}</span>
            </b-field>
            <b-field horizontal label="Unit Price Sale">
              <span>${app.render_currency(item.unit_price_sale)}</span>
            </b-field>
            <b-field horizontal label="Sale Ends">
              <span>${app.render_datetime(item.sale_ends)}</span>
            </b-field>
            <b-field horizontal label="Unit Price Quoted">
              <span>${app.render_currency(item.unit_price_quoted)}</span>
            </b-field>
            <b-field horizontal label="Case Size">
              <span>${app.render_quantity(item.case_size)}</span>
            </b-field>
            <b-field horizontal label="Case Price Quoted">
              <span>${app.render_currency(item.case_price_quoted)}</span>
            </b-field>
          </div>
        </div>
      </nav>

    </div>
    <div style="flex-grow: 1;">

      <nav class="panel" style="width: 100%;">
        <p class="panel-heading">Customer</p>
        <div class="panel-block">
          <div style="width: 100%;">
            <b-field horizontal label="Customer ID">
              <span>${order.customer_id}</span>
            </b-field>
            % if not order.customer_id and order.local_customer:
                <b-field horizontal label="Local Customer">
                  <span>${h.link_to(order.local_customer, url('local_customers.view', uuid=order.local_customer.uuid))}</span>
                </b-field>
            % endif
            % if not order.customer_id and order.pending_customer:
                <b-field horizontal label="Pending Customer">
                  <span>${h.link_to(order.pending_customer, url('pending_customers.view', uuid=order.pending_customer.uuid))}</span>
                </b-field>
            % endif
            <b-field horizontal label="Customer Name">
              <span>${order.customer_name}</span>
            </b-field>
            <b-field horizontal label="Phone Number">
              <span>${order.phone_number}</span>
            </b-field>
            <b-field horizontal label="Email Address">
              <span>${order.email_address}</span>
            </b-field>
          </div>
        </div>
      </nav>

      <nav class="panel" style="width: 100%;">
        <p class="panel-heading">Product</p>
        <div class="panel-block">
          <div style="width: 100%;">
            <b-field horizontal label="Product ID">
              <span>${item.product_id}</span>
            </b-field>
            % if not item.product_id and item.local_product:
                <b-field horizontal label="Local Product">
                  <span>${h.link_to(item.local_product, url('local_products.view', uuid=order.local_product.uuid))}</span>
                </b-field>
            % endif
            % if not item.product_id and item.pending_product:
                <b-field horizontal label="Pending Product">
                  <span>${h.link_to(item.pending_product, url('pending_products.view', uuid=order.pending_product.uuid))}</span>
                </b-field>
            % endif
            <b-field horizontal label="Scancode">
              <span>${item.product_scancode}</span>
            </b-field>
            <b-field horizontal label="Brand">
              <span>${item.product_brand}</span>
            </b-field>
            <b-field horizontal label="Description">
              <span>${item.product_description}</span>
            </b-field>
            <b-field horizontal label="Size">
              <span>${item.product_size}</span>
            </b-field>
            <b-field horizontal label="Sold by Weight">
              <span>${app.render_boolean(item.product_weighed)}</span>
            </b-field>
            <b-field horizontal label="Department">
              <span>${item.department_name}</span>
            </b-field>
            <b-field horizontal label="Special Order">
              <span>${app.render_boolean(item.special_order)}</span>
            </b-field>
          </div>
        </div>
      </nav>

    </div>
  </div>
</%def>
